import org.junit.Assert;
import org.junit.Test;

public class TestMyArrayList {

    Person person1 = new Person("Itchigo", 1);
    Person person2 = new Person("Orehime",2);
    Person person3 = new Person("Rengi",3);

    @Test
    public void testSize(){
        MyArrayList arrayList = new MyArrayList();
       int expected = 1;
       arrayList.add("Welcome to  myArrayList");
        Assert.assertEquals(expected, arrayList.size());
    }

    @Test
    public void testAdd(){
        MyArrayList arrayList = new MyArrayList();

        arrayList.add("I Know more" );
        arrayList.add("than the Hello world program ");
         arrayList.add("in java");

         int expected = 3;
         Assert.assertEquals(expected, arrayList.size());
    }
    @Test
    public  void setTest(){
        MyArrayList arrayList = new MyArrayList();

        arrayList.add("I Know more" );
        arrayList.add("than the Hello world program ");
        arrayList.add("in java");

        arrayList.set(0,"I will");


        Assert.assertTrue(arrayList.contains("I will"));
    }
    @Test
    public  void getTest(){
        MyArrayList arrayList = new MyArrayList();

        arrayList.add("I Know more" );
        arrayList.add("than the Hello world program ");
        arrayList.add("in java");


        String expected = "I Know more";


        Assert.assertEquals(expected,arrayList.get(0));
    }





    @Test
    public void testRemove(){
        MyArrayList arrayList = new MyArrayList();
        arrayList.add("I Know more" );
        arrayList.add("than the Hello world program ");
        arrayList.add("in java" );

        int expected = 2;
        arrayList.remove(1);


         Assert.assertEquals(expected, arrayList.size());
    }
    @Test
     public void containTest (){
        MyArrayList myArrayList = new MyArrayList();
        myArrayList.add(1);
        myArrayList.add(66);
        myArrayList.add(20);

       Assert.assertTrue(myArrayList.contains(20));

 }

    @Test
    public void containTestFalse (){
        MyArrayList myArrayList = new MyArrayList();
        myArrayList.add(1);
        myArrayList.add(66);
        myArrayList.add(20);

        Assert.assertFalse(myArrayList.contains(7));


    }

    @Test
    public void isEmptyTest(){
        MyArrayList myArrayList = new MyArrayList();
        Assert.assertTrue(myArrayList.isEmpty());

    }
    @Test
    public void isNotEmptyTest(){
        MyArrayList myArrayList = new MyArrayList();
        myArrayList.add(person1);
        myArrayList.add(person2);
        myArrayList.add(person3);

        Assert.assertFalse(myArrayList.isEmpty());

    }
    @Test
    public void clearTest(){
        MyArrayList myArrayList = new MyArrayList();
        myArrayList.add(person1);
        myArrayList.add(person2);
        myArrayList.add(person3);
        myArrayList.clear();


        Assert.assertTrue(myArrayList.isEmpty());

    }
}

